#ifndef __USART_H__
#define __USART_H__

//=====Настройки коммуникации по последовательному порту============
#define USE_USART           // Раскомментить для инициализации общения стаба с внешним контроллером
  #ifdef USE_USART
  //#define USE_RMVK        // Раскомментить для включения общения с внешним контроллером по протоколу Samovar и/или РМВ-К
  #ifndef USE_RMVK
    #define USE_ADprotocol  // По умолчанию используется универсальный протокол
  #endif
#endif

#ifdef __AVR_ATmega168__  // Выключение UARTа, чтобы влезало в 168атмегу
  #undef USE_USART
  #undef USE_RMVK
  #undef USE_ADprotocol
#else
  #ifdef USE_USART
    static uint8_t cnt_uartWDT;     // Счетчик секунд для организации отсчета ожидания окончания посылки по USART
  #endif
#endif
//==================================================================

void USART_start(void);
static uint16_t get_Power(void);
static void set_newPDM(uint16_t power);
void USART_parser(void);
void USART_report(void);
uint16_t get_Uin(void);
uint16_t get_Uout(const bool getReal);
void USART_parser(void);

#endif // __USART_H__
